Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

show_inactive
boolean
default:false

If true, show clusters that have been deleted or failed to initialize. Note that inactive clusters will only be included if the requesting user has organization-scoped cluster read permissions.

pagination.page
string
pagination.limit
integer<int32>
pagination.as_of_time
string<date-time>
pagination.sort_order
enum<string>
  • ASC: Sort in ascending order. This is the default unless otherwise specified.
  • DESC: Sort in descending order.
Available options:
ASC,
DESC
pagination.sort_by
enum<string>
  • NAME: Sort by cluster name. This is the default unless otherwise specified.
  • CREATED_AT: Sort by cluster created_at.
  • DELETED_AT: Sort by cluster deleted_at. Active clusters will be sorted by created_at.
Available options:
NAME,
CREATED_AT,
DELETED_AT

Response

A successful response.

clusters
object[]
required
pagination
object